
TYPO3.Fluid - Bug # 4063

Status: Resolved Priority: Must have
Author: Christian Zenker Category:
Created: 2009-07-29 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: CObjectViewHelper erases field data in TypoScript
Description

If no cObj is handed, CObjectViewHelper uses cObj from the GLOBALS-array. But this way it erases all data in this cObj that might be
used later on in TypoScript.

Example

page {
    10 < plugin.tx_myext
    headerData = TEXT
    headerData {
        # will be empty
        field = title
        wrap = <title>|</title>
    }
}

The appended bugfix creates a new cObj if none is supported, but I'm not sure, if this is the best solution.
Maybe the parser could support one, or maybe it already does...?

History
#1 - 2009-07-30 15:30 - Christian Zenker

Tx_Fluid_ViewHelpers_Format_CropViewHelper uses $GLOBALS['TSFE']->cObj, too.

#2 - 2009-08-06 01:06 - Jochen Rau
- Assigned To set to Sebastian Kurfuerst

#3 - 2009-08-06 08:32 - Sebastian Kurfuerst
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

Bastian, can you take care of this issue?

#4 - 2009-08-09 22:01 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset r1084.

#5 - 2009-10-21 17:52 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

Files
CObjectViewHelper.diff 713 Bytes 2009-07-29 Christian Zenker
